<template>
  <div>
    <v-text-field
      v-model="search"
      append-icon="mdi-magnify"
      label="Buscar"
      flat
      solo
      hide-details
      clearable
      clear-icon="mdi-close-circle-outline"
    ></v-text-field>

    <v-treeview
      :items="modulosTree"
      :activatable="true"
      :hoverable="true"
      :open-on-click="true"
      selected-color="red"
      item-key="id_flujo_modulo"
      item-text="descripcion"
      color="primary"
      :search="search"
      :filter="filter"
    >
      <!--<template v-slot:append="{ item }">
        <v-btn
          small
          v-if="item.modulo"
          :to="{ name: item.modulo.descripcion }"
          exact-active-class="btn-active"
          icon
          ><v-icon small>mdi-open-in-new</v-icon></v-btn
        >
      </template>-->
      <template v-slot:label="{ item }">
        <span>
          <router-link :to="{ name: item.modulo.descripcion }">
            {{ item.descripcion }}
          </router-link>
        </span>
      </template>
    </v-treeview>
  </div>
</template>
<style scoped>
.btn-active.v-btn:not(.v-btn--text):not(.v-btn--outlined).v-btn--active:before {
  opacity: 0;
}
</style>
<script>
import store from "@/store";
//import Tree from "@/views/secure/menu/Tree";
export default {
  name: "Component-Menu",
  data() {
    return {
      search: null,
      caseSensitive: false,
      modulos: [],
    };
  },
  computed: {
    modulosTree() {
      return store.state.modulosTree;
    },
    filter() {
      return this.caseSensitive
        ? (item, search, textKey) => item[textKey].indexOf(search) > -1
        : undefined;
    },
  },
};
</script>
